### Hierarchy

- Entity
  - ProcessDefEntity

### Implements

- IEntity
- IProcessDefEntity

## Index

### Constructors

- constructor

### Properties

- _datastoreService
- _eventAggregator
- _featureService
- _messageBusService
- _processDefEntityTypeService
- _processEngineService
- _processRepository
- _routingService
- _timingService
- context
- entityType
- id
- invoker
- isDirty
- isNew
- propertyBag
- schema
- securityService

### Accessors

- category
- counter
- datastoreService
- defId
- draft
- eventAggregator
- extensions
- featureService
- features
- flowDefCollection
- internalName
- key
- laneCollection
- latest
- messageBusService
- module
- name
- nodeDefCollection
- path
- persist
- processDefEntityTypeService
- processEngineService
- processRepository
- readonly
- routingService
- timingService
- version
- xml

### Methods

- _createBoundaries
- _extractFeatures
- _parseTimerDefinition
- _parseTimerDefinitionType
- _updateExtensionElements
- _updateFlows
- _updateLanes
- _updateNodes
- calculate
- createProcessInstance
- equals
- fromPojo
- getCalculatedProperty
- getDatastoreService
- getDraft
- getEntityReference
- getFlowDefCollection
- getLaneCollection
- getLatest
- getNodeDefCollection
- getProperty
- getPropertyLazy
- initialize
- publishDraft
- remove
- save
- secureCompare
- setCalculatedProperty
- setProperty
- start
- startTimer
- toPojo
- updateBpmn
- updateDefinitions

## Constructors

### constructor

- new ProcessDefEntity(processDefEntityTypeService: IProcessDefEntityTypeService, processRepository: IProcessRepository, featureService: IFeatureService, messageBusService: IMessageBusService, routingService: IRoutingService, eventAggregator: IEventAggregator, timingService: ITimingService, processEngineService: IProcessEngineService, datastoreService: IDatastoreService, entityDependencyHelper: EntityDependencyHelper, context: ExecutionContext, schema: IInheritedSchema, propertyBag: IPropertyBag, entityType: IEntityType<IEntity>): ProcessDefEntity

- Overrides Entity.__constructor

  - Defined in entity_types/process_def.ts:36

  #### Parameters

  - ##### processDefEntityTypeService: IProcessDefEntityTypeService

  - ##### processRepository: IProcessRepository

  - ##### featureService: IFeatureService

  - ##### messageBusService: IMessageBusService

  - ##### routingService: IRoutingService

  - ##### eventAggregator: IEventAggregator

  - ##### timingService: ITimingService

  - ##### processEngineService: IProcessEngineService

  - ##### datastoreService: IDatastoreService

  - ##### entityDependencyHelper: EntityDependencyHelper

  - ##### context: ExecutionContext

  - ##### schema: IInheritedSchema

  - ##### propertyBag: IPropertyBag

  - ##### entityType: IEntityType<IEntity>

  #### Returns ProcessDefEntity

## Properties

### Private _datastoreService

_datastoreService: IDatastoreService = undefined

- Defined in entity_types/process_def.ts:36

### Private _eventAggregator

_eventAggregator: IEventAggregator = undefined

- Defined in entity_types/process_def.ts:29

### Private _featureService

_featureService: IFeatureService = undefined

- Defined in entity_types/process_def.ts:33

### Private _messageBusService

_messageBusService: IMessageBusService = undefined

- Defined in entity_types/process_def.ts:28

### Private _processDefEntityTypeService

_processDefEntityTypeService: IProcessDefEntityTypeService = undefined

- Defined in entity_types/process_def.ts:31

### Private _processEngineService

_processEngineService: IProcessEngineService = undefined

- Defined in entity_types/process_def.ts:35

### Private _processRepository

_processRepository: IProcessRepository = undefined

- Defined in entity_types/process_def.ts:32

### Private _routingService

_routingService: IRoutingService = undefined

- Defined in entity_types/process_def.ts:34

### Private _timingService

_timingService: ITimingService = undefined

- Defined in entity_types/process_def.ts:30

### context

context: ExecutionContext

Inherited from Entity.context

- Defined in /var/lib/jenkins/workspace/e_execution_refactoring_poc-DKPIXNUND3CLDIYTSAAPJNCSYVHRVUQDIQUYB4OTWAJ2ACSJIXEA/node_modules/@essential-projects/data_model_contracts/dist/entity.d.ts:14

### Protected entityType

entityType: IEntityType<IEntity>

Inherited from Entity.entityType

- Defined in /var/lib/jenkins/workspace/e_execution_refactoring_poc-DKPIXNUND3CLDIYTSAAPJNCSYVHRVUQDIQUYB4OTWAJ2ACSJIXEA/node_modules/@essential-projects/data_model_contracts/dist/entity.d.ts:17

### id

id: string

Inherited from Entity.id

- Defined in /var/lib/jenkins/workspace/e_execution_refactoring_poc-DKPIXNUND3CLDIYTSAAPJNCSYVHRVUQDIQUYB4OTWAJ2ACSJIXEA/node_modules/@essential-projects/data_model_contracts/dist/entity.d.ts:26

### Protected invoker

invoker: IInvoker

Inherited from Entity.invoker

- Defined in /var/lib/jenkins/workspace/e_execution_refactoring_poc-DKPIXNUND3CLDIYTSAAPJNCSYVHRVUQDIQUYB4OTWAJ2ACSJIXEA/node_modules/@essential-projects/data_model_contracts/dist/entity.d.ts:16

### isDirty

isDirty: boolean

Inherited from Entity.isDirty

- Defined in /var/lib/jenkins/workspace/e_execution_refactoring_poc-DKPIXNUND3CLDIYTSAAPJNCSYVHRVUQDIQUYB4OTWAJ2ACSJIXEA/node_modules/@essential-projects/data_model_contracts/dist/entity.d.ts:22

### isNew

isNew: boolean

Inherited from Entity.isNew

- Defined in /var/lib/jenkins/workspace/e_execution_refactoring_poc-DKPIXNUND3CLDIYTSAAPJNCSYVHRVUQDIQUYB4OTWAJ2ACSJIXEA/node_modules/@essential-projects/data_model_contracts/dist/entity.d.ts:21

### Protected propertyBag

propertyBag: IPropertyBag

Inherited from Entity.propertyBag

- Defined in /var/lib/jenkins/workspace/e_execution_refactoring_poc-DKPIXNUND3CLDIYTSAAPJNCSYVHRVUQDIQUYB4OTWAJ2ACSJIXEA/node_modules/@essential-projects/data_model_contracts/dist/entity.d.ts:19

### schema

schema: IInheritedSchema

Inherited from Entity.schema

- Defined in /var/lib/jenkins/workspace/e_execution_refactoring_poc-DKPIXNUND3CLDIYTSAAPJNCSYVHRVUQDIQUYB4OTWAJ2ACSJIXEA/node_modules/@essential-projects/data_model_contracts/dist/entity.d.ts:15

### Protected securityService

securityService: ISecurityService

Inherited from Entity.securityService

- Defined in /var/lib/jenkins/workspace/e_execution_refactoring_poc-DKPIXNUND3CLDIYTSAAPJNCSYVHRVUQDIQUYB4OTWAJ2ACSJIXEA/node_modules/@essential-projects/data_model_contracts/dist/entity.d.ts:18

## Accessors

### category

- get category(): string
- set category(value: string): void

- - Defined in entity_types/process_def.ts:171

  #### Returns string

- - Defined in entity_types/process_def.ts:175

  #### Parameters

  - ##### value: string

  #### Returns void

### counter

- get counter(): number
- set counter(value: number): void

- - Defined in entity_types/process_def.ts:207

  #### Returns number

- - Defined in entity_types/process_def.ts:211

  #### Parameters

  - ##### value: number

  #### Returns void

### Private datastoreService

- get datastoreService(): IDatastoreService

- - Defined in entity_types/process_def.ts:101

  #### Returns IDatastoreService

### defId

- get defId(): string
- set defId(value: string): void

- - Defined in entity_types/process_def.ts:126

  #### Returns string

- - Defined in entity_types/process_def.ts:130

  #### Parameters

  - ##### value: string

  #### Returns void

### draft

- get draft(): boolean
- set draft(value: boolean): void

- - Defined in entity_types/process_def.ts:243

  #### Returns boolean

- - Defined in entity_types/process_def.ts:247

  #### Parameters

  - ##### value: boolean

  #### Returns void

### Private eventAggregator

- get eventAggregator(): IEventAggregator

- - Defined in entity_types/process_def.ts:69

  #### Returns IEventAggregator

### extensions

- get extensions(): any
- set extensions(value: any): void

- - Defined in entity_types/process_def.ts:144

  #### Returns any

- - Defined in entity_types/process_def.ts:148

  #### Parameters

  - ##### value: any

  #### Returns void

### Private featureService

- get featureService(): IFeatureService

- - Defined in entity_types/process_def.ts:85

  #### Returns IFeatureService

### features

- get features(): Array<IFeature>

- - Defined in entity_types/process_def.ts:260

  #### Returns Array<IFeature>

### flowDefCollection

- get flowDefCollection(): IEntityCollection<IFlowDefEntity>

- - Defined in entity_types/process_def.ts:225

  #### Returns IEntityCollection<IFlowDefEntity>

### internalName

- get internalName(): string
- set internalName(value: string): void

- - Defined in entity_types/process_def.ts:153

  #### Returns string

- - Defined in entity_types/process_def.ts:157

  #### Parameters

  - ##### value: string

  #### Returns void

### key

- get key(): string
- set key(value: string): void

- - Defined in entity_types/process_def.ts:117

  #### Returns string

- - Defined in entity_types/process_def.ts:121

  #### Parameters

  - ##### value: string

  #### Returns void

### laneCollection

- get laneCollection(): IEntityCollection<ILaneEntity>

- - Defined in entity_types/process_def.ts:234

  #### Returns IEntityCollection<ILaneEntity>

### latest

- get latest(): boolean
- set latest(value: boolean): void

- - Defined in entity_types/process_def.ts:252

  #### Returns boolean

- - Defined in entity_types/process_def.ts:256

  #### Parameters

  - ##### value: boolean

  #### Returns void

### Private messageBusService

- get messageBusService(): IMessageBusService

- - Defined in entity_types/process_def.ts:89

  #### Returns IMessageBusService

### module

- get module(): string
- set module(value: string): void

- - Defined in entity_types/process_def.ts:180

  #### Returns string

- - Defined in entity_types/process_def.ts:184

  #### Parameters

  - ##### value: string

  #### Returns void

### name

- get name(): string
- set name(value: string): void

- - Defined in entity_types/process_def.ts:108

  #### Returns string

- - Defined in entity_types/process_def.ts:112

  #### Parameters

  - ##### value: string

  #### Returns void

### nodeDefCollection

- get nodeDefCollection(): IEntityCollection<INodeDefEntity>

- - Defined in entity_types/process_def.ts:216

  #### Returns IEntityCollection<INodeDefEntity>

### path

- get path(): string
- set path(value: string): void

- - Defined in entity_types/process_def.ts:162

  #### Returns string

- - Defined in entity_types/process_def.ts:166

  #### Parameters

  - ##### value: string

  #### Returns void

### persist

- get persist(): boolean

- - Defined in entity_types/process_def.ts:960

  #### Returns boolean

### Private processDefEntityTypeService

- get processDefEntityTypeService(): IProcessDefEntityTypeService

- - Defined in entity_types/process_def.ts:77

  #### Returns IProcessDefEntityTypeService

### Private processEngineService

- get processEngineService(): IProcessEngineService

- - Defined in entity_types/process_def.ts:97

  #### Returns IProcessEngineService

### Private processRepository

- get processRepository(): IProcessRepository

- - Defined in entity_types/process_def.ts:81

  #### Returns IProcessRepository

### readonly

- get readonly(): boolean
- set readonly(value: boolean): void

- - Defined in entity_types/process_def.ts:189

  #### Returns boolean

- - Defined in entity_types/process_def.ts:193

  #### Parameters

  - ##### value: boolean

  #### Returns void

### Private routingService

- get routingService(): IRoutingService

- - Defined in entity_types/process_def.ts:93

  #### Returns IRoutingService

### Private timingService

- get timingService(): ITimingService

- - Defined in entity_types/process_def.ts:73

  #### Returns ITimingService

### version

- get version(): string
- set version(value: string): void

- - Defined in entity_types/process_def.ts:198

  #### Returns string

- - Defined in entity_types/process_def.ts:202

  #### Parameters

  - ##### value: string

  #### Returns void

### xml

- get xml(): string
- set xml(value: string): void

- - Defined in entity_types/process_def.ts:135

  #### Returns string

- - Defined in entity_types/process_def.ts:139

  #### Parameters

  - ##### value: string

  #### Returns void

## Methods

### Private _createBoundaries

- _createBoundaries(nodes: Array<any>, nodeCache: ICache<any>, context: ExecutionContext): Promise<void>

- - Defined in entity_types/process_def.ts:722

  #### Parameters

  - ##### nodes: Array<any>

  - ##### nodeCache: ICache<any>

  - ##### context: ExecutionContext

  #### Returns Promise<void>

### Private _extractFeatures

- _extractFeatures(): Array<IFeature>

- - Defined in entity_types/process_def.ts:900

  #### Returns Array<IFeature>

### Private _parseTimerDefinition

- _parseTimerDefinition(eventDefinition: any): string

- - Defined in entity_types/process_def.ts:352

  #### Parameters

  - ##### eventDefinition: any

  #### Returns string

### Private _parseTimerDefinitionType

- _parseTimerDefinitionType(eventDefinition: any): TimerDefinitionType.date | TimerDefinitionType.duration | TimerDefinitionType.cycle

- - Defined in entity_types/process_def.ts:339

  #### Parameters

  - ##### eventDefinition: any

  #### Returns TimerDefinitionType.date | TimerDefinitionType.duration | TimerDefinitionType.cycle

### Private _updateExtensionElements

- _updateExtensionElements(extensionElements: Array<any>, entity: any): any

- - Defined in entity_types/process_def.ts:793

  #### Parameters

  - ##### extensionElements: Array<any>

  - ##### entity: any

  #### Returns any

### Private _updateFlows

- _updateFlows(flows: Array<any>, nodeCache: ICache<any>, context: ExecutionContext, counter: number): Promise<void>

- - Defined in entity_types/process_def.ts:672

  #### Parameters

  - ##### flows: Array<any>

  - ##### nodeCache: ICache<any>

  - ##### context: ExecutionContext

  - ##### counter: number

  #### Returns Promise<void>

### Private _updateLanes

- _updateLanes(lanes: Array<any>, context: ExecutionContext, counter: number): Promise<ICache<any>>

- - Defined in entity_types/process_def.ts:515

  #### Parameters

  - ##### lanes: Array<any>

  - ##### context: ExecutionContext

  - ##### counter: number

  #### Returns Promise<ICache<any>>

### Private _updateNodes

- _updateNodes(nodes: Array<any>, laneCache: ICache<any>, bpmnDiagram: BpmnDiagram, context: ExecutionContext, counter: number, helperObject: any): Promise<ICache<any>>

- - Defined in entity_types/process_def.ts:557

  #### Parameters

  - ##### nodes: Array<any>

  - ##### laneCache: ICache<any>

  - ##### bpmnDiagram: BpmnDiagram

  - ##### context: ExecutionContext

  - ##### counter: number

  - ##### helperObject: any

  #### Returns Promise<ICache<any>>

### calculate

- calculate(context: ExecutionContext, options?: IFromPojoOptions): Promise<void>

- Inherited from Entity.calculate

  - Defined in /var/lib/jenkins/workspace/e_execution_refactoring_poc-DKPIXNUND3CLDIYTSAAPJNCSYVHRVUQDIQUYB4OTWAJ2ACSJIXEA/node_modules/@essential-projects/data_model_contracts/dist/entity.d.ts:39

  #### Parameters

  - ##### context: ExecutionContext

  - ##### Optional options: IFromPojoOptions

  #### Returns Promise<void>

### createProcessInstance

- createProcessInstance(context: ExecutionContext): Promise<IProcessEntity>

- - Defined in entity_types/process_def.ts:264

  #### Parameters

  - ##### context: ExecutionContext

  #### Returns Promise<IProcessEntity>

### equals

- equals(processDef: IProcessDefEntity): boolean

- - Defined in entity_types/process_def.ts:1099

  #### Parameters

  - ##### processDef: IProcessDefEntity

  #### Returns boolean

### fromPojo

- fromPojo(context: ExecutionContext, data: any, options?: IFromPojoOptions): Promise<void>

- Inherited from Entity.fromPojo

  - Defined in /var/lib/jenkins/workspace/e_execution_refactoring_poc-DKPIXNUND3CLDIYTSAAPJNCSYVHRVUQDIQUYB4OTWAJ2ACSJIXEA/node_modules/@essential-projects/data_model_contracts/dist/entity.d.ts:37

  #### Parameters

  - ##### context: ExecutionContext

  - ##### data: any

  - ##### Optional options: IFromPojoOptions

  #### Returns Promise<void>

### getCalculatedProperty

- getCalculatedProperty(propertyThisContext: any, propertyName: string, context: ExecutionContext): Promise<any>

- Inherited from Entity.getCalculatedProperty

  - Defined in /var/lib/jenkins/workspace/e_execution_refactoring_poc-DKPIXNUND3CLDIYTSAAPJNCSYVHRVUQDIQUYB4OTWAJ2ACSJIXEA/node_modules/@essential-projects/data_model_contracts/dist/entity.d.ts:30

  #### Parameters

  - ##### propertyThisContext: any

  - ##### propertyName: string

  - ##### context: ExecutionContext

  #### Returns Promise<any>

### Protected getDatastoreService

- getDatastoreService(): Promise<IDatastoreService>

- Inherited from Entity.getDatastoreService

  - Defined in /var/lib/jenkins/workspace/e_execution_refactoring_poc-DKPIXNUND3CLDIYTSAAPJNCSYVHRVUQDIQUYB4OTWAJ2ACSJIXEA/node_modules/@essential-projects/data_model_contracts/dist/entity.d.ts:20

  #### Returns Promise<IDatastoreService>

### getDraft

- getDraft(context: ExecutionContext): Promise<IProcessDefEntity>

- - Defined in entity_types/process_def.ts:983

  #### Parameters

  - ##### context: ExecutionContext

  #### Returns Promise<IProcessDefEntity>

### getEntityReference

- getEntityReference(): IEntityReference

- Inherited from Entity.getEntityReference

  - Defined in /var/lib/jenkins/workspace/e_execution_refactoring_poc-DKPIXNUND3CLDIYTSAAPJNCSYVHRVUQDIQUYB4OTWAJ2ACSJIXEA/node_modules/@essential-projects/data_model_contracts/dist/entity.d.ts:56

  #### Returns IEntityReference

### getFlowDefCollection

- getFlowDefCollection(context: ExecutionContext): Promise<IEntityCollection<IFlowDefEntity>>

- - Defined in entity_types/process_def.ts:229

  #### Parameters

  - ##### context: ExecutionContext

  #### Returns Promise<IEntityCollection<IFlowDefEntity>>

### getLaneCollection

- getLaneCollection(context: ExecutionContext): Promise<IEntityCollection<ILaneEntity>>

- - Defined in entity_types/process_def.ts:238

  #### Parameters

  - ##### context: ExecutionContext

  #### Returns Promise<IEntityCollection<ILaneEntity>>

### getLatest

- getLatest(context: ExecutionContext): Promise<IProcessDefEntity>

- - Defined in entity_types/process_def.ts:1010

  #### Parameters

  - ##### context: ExecutionContext

  #### Returns Promise<IProcessDefEntity>

### getNodeDefCollection

- getNodeDefCollection(context: ExecutionContext): Promise<IEntityCollection<INodeDefEntity>>

- - Defined in entity_types/process_def.ts:220

  #### Parameters

  - ##### context: ExecutionContext

  #### Returns Promise<IEntityCollection<INodeDefEntity>>

### getProperty

- getProperty(propertyThisContext: any, propertyName: string): any

- Inherited from Entity.getProperty

  - Defined in /var/lib/jenkins/workspace/e_execution_refactoring_poc-DKPIXNUND3CLDIYTSAAPJNCSYVHRVUQDIQUYB4OTWAJ2ACSJIXEA/node_modules/@essential-projects/data_model_contracts/dist/entity.d.ts:27

  #### Parameters

  - ##### propertyThisContext: any

  - ##### propertyName: string

  #### Returns any

### getPropertyLazy

- getPropertyLazy(propertyThisContext: any, propertyName: string, context: ExecutionContext, options?: IPrivateQueryOptions): Promise<any>

- Inherited from Entity.getPropertyLazy

  - Defined in /var/lib/jenkins/workspace/e_execution_refactoring_poc-DKPIXNUND3CLDIYTSAAPJNCSYVHRVUQDIQUYB4OTWAJ2ACSJIXEA/node_modules/@essential-projects/data_model_contracts/dist/entity.d.ts:28

  #### Parameters

  - ##### propertyThisContext: any

  - ##### propertyName: string

  - ##### context: ExecutionContext

  - ##### Optional options: IPrivateQueryOptions

  #### Returns Promise<any>

### initialize

- initialize(): Promise<void>

- Overrides Entity.initialize

  - Defined in entity_types/process_def.ts:65

  #### Returns Promise<void>

### publishDraft

- publishDraft(context: ExecutionContext): Promise<IProcessDefEntity>

- - Defined in entity_types/process_def.ts:1038

  #### Parameters

  - ##### context: ExecutionContext

  #### Returns Promise<IProcessDefEntity>

### remove

- remove(context: ExecutionContext, options?: IPrivateRemoveOptions): Promise<boolean>

- Inherited from Entity.remove

  - Defined in /var/lib/jenkins/workspace/e_execution_refactoring_poc-DKPIXNUND3CLDIYTSAAPJNCSYVHRVUQDIQUYB4OTWAJ2ACSJIXEA/node_modules/@essential-projects/data_model_contracts/dist/entity.d.ts:55

  #### Parameters

  - ##### context: ExecutionContext

  - ##### Optional options: IPrivateRemoveOptions

  #### Returns Promise<boolean>

### save

- save(context: ExecutionContext, options?: IPrivateSaveOptions): Promise<IEntity>

- Overrides Entity.save

  - Defined in entity_types/process_def.ts:915

  #### Parameters

  - ##### context: ExecutionContext

  - ##### Optional options: IPrivateSaveOptions

  #### Returns Promise<IEntity>

### secureCompare

- secureCompare(attributeName: string, valueToCompare: string): Promise<boolean>

- Inherited from Entity.secureCompare

  - Defined in /var/lib/jenkins/workspace/e_execution_refactoring_poc-DKPIXNUND3CLDIYTSAAPJNCSYVHRVUQDIQUYB4OTWAJ2ACSJIXEA/node_modules/@essential-projects/data_model_contracts/dist/entity.d.ts:53

  #### Parameters

  - ##### attributeName: string

  - ##### valueToCompare: string

  #### Returns Promise<boolean>

### setCalculatedProperty

- setCalculatedProperty(propertyThisContext: any, propertyName: string, value: any, context: ExecutionContext): Promise<void>

- Inherited from Entity.setCalculatedProperty

  - Defined in /var/lib/jenkins/workspace/e_execution_refactoring_poc-DKPIXNUND3CLDIYTSAAPJNCSYVHRVUQDIQUYB4OTWAJ2ACSJIXEA/node_modules/@essential-projects/data_model_contracts/dist/entity.d.ts:31

  #### Parameters

  - ##### propertyThisContext: any

  - ##### propertyName: string

  - ##### value: any

  - ##### context: ExecutionContext

  #### Returns Promise<void>

### setProperty

- setProperty(propertyThisContext: any, propertyName: string, value: any): void

- Inherited from Entity.setProperty

  - Defined in /var/lib/jenkins/workspace/e_execution_refactoring_poc-DKPIXNUND3CLDIYTSAAPJNCSYVHRVUQDIQUYB4OTWAJ2ACSJIXEA/node_modules/@essential-projects/data_model_contracts/dist/entity.d.ts:29

  #### Parameters

  - ##### propertyThisContext: any

  - ##### propertyName: string

  - ##### value: any

  #### Returns void

### start

- start(context: ExecutionContext, params: IParamStart, options?: IPublicGetOptions): Promise<IEntityReference>

- - Defined in entity_types/process_def.ts:276

  #### Parameters

  - ##### context: ExecutionContext

  - ##### params: IParamStart

  - ##### Optional options: IPublicGetOptions

  #### Returns Promise<IEntityReference>

### startTimer

- startTimer(context: ExecutionContext): Promise<void>

- - Defined in entity_types/process_def.ts:365

  #### Parameters

  - ##### context: ExecutionContext

  #### Returns Promise<void>

### toPojo

- toPojo(context: ExecutionContext, options?: IToPojoOptions): Promise<any>

- Inherited from Entity.toPojo

  - Defined in /var/lib/jenkins/workspace/e_execution_refactoring_poc-DKPIXNUND3CLDIYTSAAPJNCSYVHRVUQDIQUYB4OTWAJ2ACSJIXEA/node_modules/@essential-projects/data_model_contracts/dist/entity.d.ts:32

  #### Parameters

  - ##### context: ExecutionContext

  - ##### Optional options: IToPojoOptions

  #### Returns Promise<any>

### updateBpmn

- updateBpmn(context: ExecutionContext, xml: string): Promise<any>

- - Defined in entity_types/process_def.ts:327

  #### Parameters

  - ##### context: ExecutionContext

  - ##### xml: string

  #### Returns Promise<any>

### updateDefinitions

- updateDefinitions(context: ExecutionContext, params?: IParamUpdateDefs): Promise<void>

- - Defined in entity_types/process_def.ts:410

  #### Parameters

  - ##### context: ExecutionContext

  - ##### Optional params: IParamUpdateDefs

  #### Returns Promise<void>

Generated using TypeDoc